BFSAPHeuristicTest Class Reference

`#include <BFSAPHeuristicTest.h>`

Inheritance diagram for BFSAPHeuristicTest:

## Public Member Functions

| BFSAPHeuristicTest (TestSuite *s)
void | setup (void)
void | cleanup (void)
void | testAlgorithm (void)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
void | run (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Attributes

BitString * | bs1
BitString * | bs2
BitString * | bs3
BitString * | bs4
BitString * | bs5
CvrStgFile * | f1
CvrStgFile * | f2
CvrStgFile * | f3
CvrStgFile * | f4
CvrStgFile * | f5
Selector * | s1
Selector * | s2
Selector * | s3
Selector * | s4
Selector * | s5
Graph * | g1
Graph * | g2
Graph * | g3
Graph * | g4
Graph * | g5
Matching * | m1
Matching * | m2
Matching * | m3
Matching * | m4
Matching * | m5
BFSAPHeuristic * | aph1
BFSAPHeuristic * | aph2
BFSAPHeuristic * | aph3
BFSAPHeuristic * | aph4
BFSAPHeuristic * | aph5
Globals | gl1
Globals | gl2
Globals | gl3
Globals | gl4
Globals | gl5

## Additional Inherited Members

Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## BFSAPHeuristicTest()

BFSAPHeuristicTest::BFSAPHeuristicTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## cleanup()

void BFSAPHeuristicTest::cleanup | ( | void |  | ) |

virtual

cleanup the unit test - called after run

Reimplemented from UnitTest.

## setup()

void BFSAPHeuristicTest::setup | ( | void |  | ) |

virtual

setup the unit test - called before run

UnitTest::setup will (together with UnitTest::cleanup) save and restore the object stored in Globs so they should be called from the corresponding functions in the derived object if the derived unit test manipulates the Globs object.

Reimplemented from UnitTest.

## testAlgorithm()

void BFSAPHeuristicTest::testAlgorithm | ( | void |  | ) |

## Member Data Documentation

## aph1

BFSAPHeuristic* BFSAPHeuristicTest::aph1

private

## aph2

BFSAPHeuristic * BFSAPHeuristicTest::aph2

private

## aph3

BFSAPHeuristic * BFSAPHeuristicTest::aph3

private

## aph4

BFSAPHeuristic * BFSAPHeuristicTest::aph4

private

## aph5

BFSAPHeuristic * BFSAPHeuristicTest::aph5

private

## bs1

BitString* BFSAPHeuristicTest::bs1

private

## bs2

BitString * BFSAPHeuristicTest::bs2

private

## bs3

BitString * BFSAPHeuristicTest::bs3

private

## bs4

BitString * BFSAPHeuristicTest::bs4

private

## bs5

BitString * BFSAPHeuristicTest::bs5

private

## f1

CvrStgFile* BFSAPHeuristicTest::f1

private

## f2

CvrStgFile * BFSAPHeuristicTest::f2

private

## f3

CvrStgFile * BFSAPHeuristicTest::f3

private

## f4

CvrStgFile * BFSAPHeuristicTest::f4

private

## f5

CvrStgFile * BFSAPHeuristicTest::f5

private

## g1

Graph* BFSAPHeuristicTest::g1

private

## g2

Graph * BFSAPHeuristicTest::g2

private

## g3

Graph * BFSAPHeuristicTest::g3

private

## g4

Graph * BFSAPHeuristicTest::g4

private

## g5

Graph * BFSAPHeuristicTest::g5

private

## gl1

Globals BFSAPHeuristicTest::gl1

private

## gl2

Globals BFSAPHeuristicTest::gl2

private

## gl3

Globals BFSAPHeuristicTest::gl3

private

## gl4

Globals BFSAPHeuristicTest::gl4

private

## gl5

Globals BFSAPHeuristicTest::gl5

private

## m1

Matching* BFSAPHeuristicTest::m1

private

## m2

Matching * BFSAPHeuristicTest::m2

private

## m3

Matching * BFSAPHeuristicTest::m3

private

## m4

Matching * BFSAPHeuristicTest::m4

private

## m5

Matching * BFSAPHeuristicTest::m5

private

## s1

Selector* BFSAPHeuristicTest::s1

private

## s2

Selector * BFSAPHeuristicTest::s2

private

## s3

Selector * BFSAPHeuristicTest::s3

private

## s4

Selector * BFSAPHeuristicTest::s4

private

## s5

Selector * BFSAPHeuristicTest::s5

private

The documentation for this class was generated from the following files:

- BFSAPHeuristicTest.h
- BFSAPHeuristicTest.cc